<div class="login-page" [@routerTransition]>
    <div class="row justify-content-md-center">
        <div class="col-md-4  bg-color">
            <form role="form">
                <h2>Cadastro</h2>
                <div class="">
                    <div class="form-group">
                        <input type="text" [(ngModel)]="user.nome" name="nome" class="form-control input-underline input-lg" placeholder="Nome">
                    </div>
  
                    <div class="form-group">
                        <input type="text" [(ngModel)]="user.email" name="email" class="form-control input-underline input-lg" placeholder="Email">
                    </div>

                    <div class="form-group">
                        <input type="text" [(ngModel)]="user.cpf" name="cpf" class="form-control input-underline input-lg" placeholder="Cpf" mask='000.000.000-00'>
                    </div>
  
                    <div class="form-group">
                        <input type="password" [(ngModel)]="user.senha" name="senha" class="form-control input-underline input-lg" placeholder="Senha">
                    </div>
                    <div class="form-group">
                        <input type="password" [(ngModel)]="confirPassword" name="confirPassword" class="form-control input-underline input-lg" placeholder="Confirme sua senha">
                    </div>
                </div>
              
                  <div>
                      <a class="btn rounded-btn btn-block" (click)="saveUser()"> Cadastrar </a>
                  </div>
                  <br>
                  <div>
                      <a class="btn rounded-btn" [routerLink]="['/login']">Voltar</a>
                  </div>
  
            </form>
        </div>
    </div>
  </div>

  